Subject: Re: [alsa-devel] [PATCH v2 27/27] sound: ppc: remove unneeded memset after dma_alloc_coherent

From: Takashi Iwai <[email-masked]>
Date: Fri, 28 Jun 2019 11:17:42 +0200

On Fri, 28 Jun 2019 11:11:08 +0200,
Fuqian Huang wrote:
> 
> The merge commit log tells (dma-mapping: zero memory returned from
> dma_alloc_* and deprecating the dma_zalloc_coherent).
> I used this commit just want to say that dma_alloc_coherent  has
> zeroed the allocated memory.
> Sorry for this mistake.
> 
> Maybe this commit 518a2f1925c3("dma-mapping: zero memory returned from
> dma_alloc_*") is correct.

Are you going to resubmit v3 patchset?  If the correction is specific
to this patch, I can correct the description in my side, too...

thanks,

Takashi

> 
> Christophe Leroy <[email-masked]> 於 2019年6月28日週五 下午4:59寫道：
> 
> >
> >
> >
> > Le 28/06/2019 à 04:50, Fuqian Huang a écrit :
> > > In commit af7ddd8a627c
> > > ("Merge tag 'dma-mapping-4.21' of git://git.infradead.org/users/hch/dma-mapping"),
> > > dma_alloc_coherent has already zeroed the memory.
> > > So memset is not needed.
> >
> > You are refering to a merge commit, is that correct ?
> >
> > I can't see anything related in that commit, can you please pinpoint it ?
> >
> > As far as I can see, on powerpc the memory has always been zeroized
> > (since 2005 at least).
> >
> > Christophe
> >
> > >
> > > Signed-off-by: Fuqian Huang <[email-masked]>
> > > ---
> > >   sound/ppc/pmac.c | 1 -
> > >   1 file changed, 1 deletion(-)
> > >
> > > diff --git a/sound/ppc/pmac.c b/sound/ppc/pmac.c
> > > index 1b11e53f6a62..1ab12f4f8631 100644
> > > --- a/sound/ppc/pmac.c
> > > +++ b/sound/ppc/pmac.c
> > > @@ -56,7 +56,6 @@ static int snd_pmac_dbdma_alloc(struct snd_pmac *chip, struct pmac_dbdma *rec, i
> > >       if (rec->space == NULL)
> > >               return -ENOMEM;
> > >       rec->size = size;
> > > -     memset(rec->space, 0, rsize);
> > >       rec->cmds = (void __iomem *)DBDMA_ALIGN(rec->space);
> > >       rec->addr = rec->dma_base + (unsigned long)((char *)rec->cmds - (char *)rec->space);
> > >
> > >
> _______________________________________________
> Alsa-devel mailing list
> [email-masked]
> https://mailman.alsa-project.org/mailman/listinfo/alsa-devel